Bug 174197 - net/x2goclient: Update to version 3.99.3.0
Summary: net/x2goclient: Update to version 3.99.3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcelo Araujo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-05 18:10 UTC by tkato432
Modified: 2013-02-04 10:10 UTC (History)
0 users

See Also:


Attachments
file.diff (2.35 KB, patch)
2012-12-05 18:10 UTC, tkato432
no flags Details | Diff
net_x2goclient.diff (2.81 KB, patch)
2012-12-11 17:55 UTC, tkato432
no flags Details | Diff
net_x2goclient.diff (3.28 KB, patch)
2013-01-17 17:55 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2012-12-05 18:10:12 UTC
- Update to version 3.99.3.0
Comment 1 Marcelo Araujo freebsd_committer 2012-12-11 11:19:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 2 tkato432 2012-12-11 17:55:45 UTC
Remake of the patch against current tree.
Comment 3 tkato432 2013-01-17 17:55:42 UTC
Version 4.0.0.1 has been released.
Comment 4 Marcelo Araujo freebsd_committer 2013-02-04 10:02:01 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 5 dfilter service freebsd_committer 2013-02-04 10:02:08 UTC
Author: araujo
Date: Mon Feb  4 10:01:55 2013
New Revision: 311597
URL: http://svnweb.freebsd.org/changeset/ports/311597

Log:
  - Update to 3.99.3.0.
  
  PR:		ports/174197
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Modified:
  head/net/x2goclient/Makefile   (contents, props changed)
  head/net/x2goclient/distinfo   (contents, props changed)
  head/net/x2goclient/pkg-descr   (contents, props changed)

Modified: head/net/x2goclient/Makefile
==============================================================================
--- head/net/x2goclient/Makefile	Mon Feb  4 10:00:43 2013	(r311596)
+++ head/net/x2goclient/Makefile	Mon Feb  4 10:01:55 2013	(r311597)
@@ -2,35 +2,25 @@
 # $FreeBSD$
 
 PORTNAME=	x2goclient
-PORTVERSION=	3.99.2.2
-PORTREVISION=	1
+PORTVERSION=	4.0.0.1
 CATEGORIES=	net
 MASTER_SITES=	http://code.x2go.org/releases/source/x2goclient/
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	The x2go Qt client
+COMMENT=	Qt client for the X2Go system
 
 LICENSE=	GPLv2
 
-LIB_DEPENDS=	pthread-stubs:${PORTSDIR}/devel/libpthread-stubs \
-		pcre:${PORTSDIR}/devel/pcre \
-		png15:${PORTSDIR}/graphics/png \
-		cups:${PORTSDIR}/print/cups-client \
-		freetype:${PORTSDIR}/print/freetype2 \
-		ssh:${PORTSDIR}/security/libssh \
-		expat:${PORTSDIR}/textproc/expat2 \
-		fontconfig:${PORTSDIR}/x11-fonts/fontconfig \
-		xcb:${PORTSDIR}/x11/libxcb
+LIB_DEPENDS=	cups:${PORTSDIR}/print/cups-client \
+		ssh:${PORTSDIR}/security/libssh
 RUN_DEPENDS=	nxproxy:${PORTSDIR}/net/nxproxy \
 		x2goclient-cli:${PORTSDIR}/net/x2goclient-cli
 
 OPTIONS_DEFINE=	LDAP DOCS
 OPTIONS_DEFAULT=LDAP
 
-USE_GETTEXT=	yes
-USE_ICONV=	yes
-USE_XORG=	ice sm x11 xau xdmcp xext xpm xrender
-USE_QT4=	corelib gui network svg \
+USE_XORG=	xpm
+USE_QT4=	gui network svg \
 		linguist_build moc_build qmake_build rcc_build uic_build
 QMAKEFLAGS=	QMAKE_LRELEASE="${QT_PREFIX}/bin/lrelease-qt4"
 INSTALLS_ICONS=	yes
@@ -53,12 +43,9 @@ QMAKEFLAGS+=	LIBS+="-lX11 -lXpm -lcups"
 post-patch:
 	@${FIND} ${WRKSRC} -name "*.cpp" -or -name "*.h" | ${XARGS} \
 		${REINPLACE_CMD} -e \
-		's|Q_OS_LINUX|Q_OS_${OPSYS:U}| ; \
+		's|Q_OS_LINUX|Q_OS_UNIX| ; \
 		 /<linux\/fs.h>/s|^|//| ; \
 		 /#define USELDAP/s|^|//|'
-	@${FIND} ${WRKSRC} -name "*.cpp" -or -name "*.ts" | ${XARGS} \
-		${REINPLACE_CMD} -e \
-		's|authentification|authentication|g'
 	@${REINPLACE_CMD} -e \
 		'/MACOSX/s|^|#|' ${WRKSRC}/x2goclient.pro
 	@${REINPLACE_CMD} -e \
@@ -74,9 +61,9 @@ pre-build:
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/x2goclient ${PREFIX}/bin
 	${INSTALL_MAN} ${WRKSRC}/man/man1/x2goclient.1 ${MANPREFIX}/man/man1
-	@${MKDIR} ${PREFIX}/share/applications
+	@${MKDIR} ${DESKTOPDIR}
 	${INSTALL_DATA} ${WRKSRC}/desktop/x2goclient.desktop \
-		${PREFIX}/share/applications
+		${DESKTOPDIR}
 .for dir in 16x16 32x32 64x64 128x128
 	@${MKDIR} ${PREFIX}/share/icons/hicolor/${dir}/apps
 	${INSTALL_DATA} ${WRKSRC}/icons/${dir}/x2goclient.png \

Modified: head/net/x2goclient/distinfo
==============================================================================
--- head/net/x2goclient/distinfo	Mon Feb  4 10:00:43 2013	(r311596)
+++ head/net/x2goclient/distinfo	Mon Feb  4 10:01:55 2013	(r311597)
@@ -1,2 +1,2 @@
-SHA256 (x2goclient-3.99.2.2.tar.gz) = ef3653cb7643ea17a2e5a3beb2d3072e4c6ddff6fcee2021e5d7251a07f6ca6a
-SIZE (x2goclient-3.99.2.2.tar.gz) = 1120830
+SHA256 (x2goclient-4.0.0.1.tar.gz) = 569cc69f03edcece997a56ccb57b9e70c65b8697000328bde2d75cdb928f4ac9
+SIZE (x2goclient-4.0.0.1.tar.gz) = 1239157

Modified: head/net/x2goclient/pkg-descr
==============================================================================
--- head/net/x2goclient/pkg-descr	Mon Feb  4 10:00:43 2013	(r311596)
+++ head/net/x2goclient/pkg-descr	Mon Feb  4 10:01:55 2013	(r311597)
@@ -1,3 +1,3 @@
-QT client for x2go
+x2goclient is a GUI application for launching server-side X2Go sessions.
 
-WWW:	http://www.x2go.org/
+WWW: http://www.x2go.org/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"